wordpress3.8无法列出已安装wordpress主题的解决办法

最近在一个站点上安装了最新的wordpress 3.8,发现后台无法列出已安装的wordpress主题,只显示当前已启用的wordpress主题。而且编辑主题的时候也会提示没有此文件的错误。

我用的是军哥lnmp1.0的程序搭建的lnmp环境。

原因就在于军哥更新lnmp1.0的时候禁用了几个php函数。因此就会出现上述状况。那么我们只要开启那个被禁用的函数就能够正常的使用wordpress的功能了。

这个被禁用的函数就是scandir这个函数,在你的php.ini文件中找到disable_functions这一栏,然后删除这个scandir就可以开启了scandir这个函数了。

在军哥lnmp中php.ini一般是默认保存在/usr/local/php/etc下面的。

最后重启php-fpm

/usr/init.d/php-fpm restart

或/root/lnmp restart

发表评论

电子邮件地址不会被公开。 必填项已用*标注